Skip to main content
`Ctrl`+`K`

# PetscSFComputeDegreeBegin

begin computation of the degree of each root vertex, to be completed with `PetscSFComputeDegreeEnd()`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFComputeDegreeBegin(PetscSF sf, const PetscInt *degree[])

Collective

## Input Parameter

- sf - star forest

## Output Parameter

- degree - degree (the number of leaves) of each root vertex

## Note

The returned array is owned by `PetscSF` and automatically freed by `PetscSFDestroy()`. Hence there is no need to call `PetscFree()` on it.

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFGatherBegin()`, `PetscSFComputeDegreeEnd()`

## Level

advanced

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages